## dhcpcanon 0.1.8.2

=== requirements.txt ===
-- index-url https://pypi.python.org/simple/
-e .
