=== debian/changelog ===
dhcpcanon (0.1.8.2-1) unstable; urgency=low

  * Initial upload. Closes: #846281

 -- ju xor <ju@riseup.net>  Fri, 09 Dec 2016 14:07:13 +0000
