=== debian/control ===
Source: dhcpcanon
Maintainer: ju xor <ju@riseup.net>
Section: net
Priority: optional
Build-Depends: debhelper,
               dh-python,
               python-all,
               python-docutils,
               python-setuptools,
               python-sphinx,
Standards-Version: 3.9.8
Homepage: https://github.com/juga0/dhcpcanon
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dhcpcanon.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dhcpcanon.git

Package: dhcpcanon
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, ${python:Depends},
         python-ipaddr,
         python-netaddr,
         python-pyroute2,
         python-scapy,
         python-tz
Description: DCHP IPv4 client anonymity profile implementation
 DCHP client implementation of the anonymity profile (RFC7844)
 using Scapy Automaton.
