=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=dhcpcanon
%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. https_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ build/html # HTML generator
