=== debian/changelog ===
dhcpcanon (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Update control version.
  * Add systemd service
  * Package only for python3
  * Change upstream source in watch
  * Add dependency adduser
  * Add systemd to dh
  * Remove add user parameter not needed in postinst
  * Add versions to dependencies
  * Add dependencies for pytest
  * Install apparmor
  * Add apparmor to dh
  * Add pybuild arguments to set main script in /sbin
  * Add dependency resolvconf.

 -- ju xor <ju@riseup.net>  Thu, 14 Sep 2017 00:19:26 +0200
