=== debian/control ===
Source: dhcpcanon
Maintainer: ju xor <ju@riseup.net>
Section: net
Priority: optional
Build-Depends: adduser,
               debhelper (>= 9),
               dh-apparmor,
               dh-python,
               dh-systemd,
               pkg-config,
               python3,
               python3-all,
               python3-attr,
               python3-docutils,
               python3-netaddr,
               python3-pip,
               python3-pyroute2,
               python3-pytest,
               python3-scapy,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dhcpcanon.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dhcpcanon.git
Homepage: https://github.com/juga0/dhcpcanon

Package: dhcpcanon
Architecture: all
Depends: adduser,
         macchanger,
         python3-attr,
         python3-netaddr,
         python3-pip,
         python3-pyroute2,
         python3-scapy,
         resolvconf,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: apparmor,
Provides: dhcp-client,
Description: DCHP IPv4 client anonymity profile implementation
 DCHP client implementation of the anonymity profile (RFC7844)
 using Scapy Automaton.
