## dhcpcanon 0.8.5

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DESTDIR =
 
 THISFILE = $(lastword $(MAKEFILE_LIST))
-PYTHON = python
+PYTHON = python3
 
 # GNU command variables
 # see http://www.gnu.org/prep/standards/html_node/Command-Variables.html
@@ -34,11 +34,13 @@
 man8dir = $(mandir)/man8
 
 # for systemd
-tmpfilesdir=$(prefix)/lib/tmpfiles.d
-systemunitdir=$(prefix)/lib/systemd/system
+tmpfilesdir=/usr/lib/tmpfiles.d
+systemunitdir=/lib/systemd/system
+# for systemd udev
+networkdir=/lib/systemd/network
 
 # for apparmor
-apparmordir=$(sysconfdir)/apparmor.d
+apparmordir=/etc/apparmor.d
 
 srcdir = .
 
@@ -48,6 +50,7 @@
 SRC_TMPFILES = tmpfiles.d/dhcpcanon.conf
 SRC_UNITFILE = systemd/dhcpcanon.service
 SRC_APPARMOR = apparmor.d/sbin.dhcpcanon
+SRC_LINKFILE = systemd/network/90-dhcpcanon.link
 SRC_ALL = $(SRC_SCRIPT) $(SRC_DOC) $(SRC_MAN8)
 
 DST_MAN8 = $(SRC_MAN8)
@@ -56,6 +59,7 @@
 DST_TMPFILES = $(SRC_TMPFILES)
 DST_UNITFILE = $(SRC_UNITFILE)
 DST_APPARMOR = $(SRC_APPARMOR)
+DST_LINKFILE = $(SRC_LINKFILE)
 DST_ALL = $(DST_SCRIPT) $(DST_DOC) $(DST_MAN8)
 
 TEST_PY = dhcpcanon-test.py
@@ -66,17 +70,15 @@
 	@echo $@
 
 	mkdir -p $(DESTDIR)$(sbindir)
-	for i in $(DST_SCRIPT); do $(INSTALL_SCRIPT) "$$i" $(DESTDIR)$(sbindir); done
+	for i in $(DST_SCRIPT); do $(INSTALL_SCRIPT) "$$i" /sbin; done
 	mkdir -p $(DESTDIR)$(docdir)
 	for i in $(DST_DOC); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(docdir); done
 	mkdir -p $(DESTDIR)$(man8dir)
 	for i in $(DST_MAN8); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(man8dir); done
 
-	if [ -z $(DESTDIR) ]; then python setup.py install; else \
-		python setup.py install --root $(DESTDIR) \
-		--install-scripts=$(DESTDIR)$(sbindir); fi
+	$(PYTHON) setup.py install  --record installed.txt $(if $(DESTDIR),--root=$(DESTDIR),--install-scripts=/sbin)
 
-	if [ -z $(WITH_SYSTEMD)]; then \
+	if [ -n "$(WITH_SYSTEMD)" ]; then \
 		adduser --system dhcpcanon; \
 		mkdir -p $(DESTDIR)$(systemunitdir); \
 		for i in $(DST_UNITFILE); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(systemunitdir); done; \
@@ -84,9 +86,16 @@
 		for i in $(DST_TMPFILES); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(tmpfilesdir); done; \
 		systemctl enable $(DESTDIR)$(systemunitdir)/dhcpcanon.service; \
 		systemd-tmpfiles --create --root=$(DESTDIR)$(tmpfilesdir)/dhcpcanon.conf; \
+		systemctl start $(DESTDIR)$(systemunitdir)/dhcpcanon.service; \
+		systemctl status $(DESTDIR)$(systemunitdir)/dhcpcanon.service; \
 	fi
 
-	if [ -z $(WITH_APPARMOR)]; then \
+	if [ -n "$(WITH_SYSTEMD_UDEV)" ]; then \
+		mkdir -p $(DESTDIR)$(networkdir); \
+		for i in $(DST_LINKFILE); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(networkdir); done; \
+	fi
+
+	if [ -n "$(WITH_APPARMOR)" ]; then \
 		mkdir -p $(DESTDIR)$(apparmordir); \
 		for i in $(DST_APPARMOR); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(apparmordir); done; \
 		for i in $(DST_APPARMOR); do aa-complain $(DESTDIR)$(apparmordir)/"$$i"; done; \
@@ -94,15 +103,16 @@
 
 uninstall:
 	@echo $@
-	for i in $(notdir $(DST_SCRIPT)); do rm $(DESTDIR)$(sbindir)/"$$i"; done
-	for i in $(notdir $(DST_DOC)); do rm $(DESTDIR)$(docdir)/"$$i"; done
-	for i in $(notdir $(DST_MAN8)); do rm $(DESTDIR)$(man8dir)/"$$i"; done
+	for i in $(notdir $(DST_SCRIPT)); do rm -f $(DESTDIR)$(sbindir)/"$$i"; done
+	for i in $(notdir $(DST_DOC)); do rm -f $(DESTDIR)$(docdir)/"$$i"; done
+	for i in $(notdir $(DST_MAN8)); do rm -f $(DESTDIR)$(man8dir)/"$$i"; done
 	# it will only work in the case that the file has not been removed
 	cat installed.txt | xargs rm -rf
 	# systemd files
-	for i in $(notdir $(DST_UNITFILE)); do rm $(DESTDIR)$(systemunitdir)/"$$i"; done
-	for i in $(notdir $(DST_TMPFILES)); do rm $(DESTDIR)$(tmpfilesdir)/"$$i"; done
-	for i in $(notdir $(DST_APPARMOR)); do rm $(DESTDIR)$(apparmordir)/"$$i"; done
+	for i in $(notdir $(DST_UNITFILE)); do rm -f $(DESTDIR)$(systemunitdir)/"$$i"; done
+	for i in $(notdir $(DST_TMPFILES)); do rm -f $(DESTDIR)$(tmpfilesdir)/"$$i"; done
+	for i in $(notdir $(DST_APPARMOR)); do rm -f $(DESTDIR)$(apparmordir)/"$$i"; done
+	for i in $(notdir $(DST_LINKFILE)); do rm -f $(DESTDIR)$(networkdir)/"$$i"; done
 
 clean:
 	python setup.py clean
