=== requirements.txt ===
# to do not maintain this file, use setup.py
--index-url https://pypi.python.org/simple/

-e .
