=== docs/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	@echo "  dummy      to check syntax errors of document sources"
 
 # Not in auto-generated conf
-FSMSVG := python -c "from dhcpcanon.dhcpcapfsm import DHCPCAPFSM; DHCPCAPFSM.graph(target='>$(IMAGEDIRS)/dhcpcapfsm.svg')";mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)
+FSMSVG := python -c "from dhcpcanon.dhcpcapfsm import DHCPCAPFSM; DHCPCAPFSM.graph(target='$(IMAGEDIRS)/dhcpcapfsm.svg')";mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)
 fsmsvg:
 	@echo "Generating FSM SVG"
 	$(FSMSVG)
@@ -82,8 +82,8 @@
 
 .PHONY: html
 html:
-	$(FSMSVG)
-	$(UMLSVG)
+	#$(FSMSVG)
+	#$(UMLSVG)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
@@ -163,7 +163,7 @@
 .PHONY: latex
 latex:
 	$(FSMSVG)
-	$(UMLSVG)
+	#$(UMLSVG)
 	$(PDFs)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
@@ -174,7 +174,7 @@
 .PHONY: latexpdf
 latexpdf:
 	$(FSMSVG)
-	$(UMLSVG)
+	#$(UMLSVG)
 	$(PDFs)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
