=== debian/changelog ===
dhcpcanon (0.8.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/watch: Use https protocol

  [ Chris Hofstaedtler ]
  * Move files to /usr
  * Follow scapy API changes (Closes: #1020123)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 31 Dec 2023 14:55:55 +0100

dhcpcanon (0.8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:59:56 +0200

dhcpcanon (0.8.5-2) unstable; urgency=medium

  * Add patch to do not use bootstrap sphinx theme while it has
    lintian warnings
  * d/control, d/links: revert using bootstrap dependencies
  * d/rules: remove proxy as is not needed anymore to build sphinx
    docs without using the Internet
  * d/control: update Standards-Version. No other changes required
  * d/control, py3dist-overrides: solve dbus dependency

 -- ju xor <ju@riseup.net>  Sun, 15 Apr 2018 16:10:15 +0000

dhcpcanon (0.8.5-1) sid; urgency=medium

  * New upstream release.
  * Suggest macchanger (not depends), resolvoconf-admin and systemd
  * Change package description
  * remove unneded echo on adduser.
  * Install .link and move suggests to recommends
  * d/compat, d/control: update to dh 11
  * Remove obsolote dh-systemd
  * Fix dh_python3 dbus warning dependency.
  * Rename docs with the name of the binary package to follow dh_installdocs(1)
  * Add fix sphinxdoc warning to todo
  * Update Debian policy
  * Update Debian repositories to salsa as alioth is moving away
  * Include binaries for the documentation logo and favicon
  * d/control: add sphinx theme build dependency
  * d/gbp.conf: use DEP-14 for git-buildpackage
  * Add d/links to solve embedded-javascript-library lintian W
  * d/control, d/install, d/links: format using wrap-and-sort -ast

 -- ju xor <ju@riseup.net>  Thu, 12 Apr 2018 20:21:03 +0000
