=== debian/control ===
Source: dhcpcanon
Maintainer: ju xor <ju@riseup.net>
Section: net
Priority: optional
Build-Depends:
 adduser,
 debhelper (>= 11),
 dh-apparmor,
 dh-python,
 pkg-config,
 python3,
 python3-all,
 python3-attr,
 python3-dbus,
 python3-docutils,
 python3-lockfile,
 python3-netaddr,
 python3-pip,
 python3-pyroute2,
 python3-pytest,
 python3-scapy,
 python3-setuptools,
 python3-sphinx,
Build-Conflicts:
 python-sphinx,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/dhcpcanon
Vcs-Git: https://salsa.debian.org/debian/dhcpcanon.git
Homepage: https://github.com/juga0/dhcpcanon

Package: dhcpcanon
Architecture: all
Depends:
 adduser,
 python3-attr,
 python3-dbus,
 python3-lockfile,
 python3-netaddr,
 python3-pip,
 python3-pyroute2,
 python3-scapy,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends:
 apparmor,
 systemd | resolvconf-admin,
 udev | macchanger,
Provides:
 dhcp-client,
Description: DHCP client disclosing less identifying information
 Python implementation of the DHCP Anonymity Profiles
 (RFC7844) designed for users that
 wish to remain anonymous to the visited network
 minimizing disclosure of identifying information.
