=== debian/watch ===
# please also check https://pypi.debian.net/dhcpcanon/watch
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dhcpcanon-$1\.tar\.gz/ \
  https://github.com/juga0/dhcpcanon/tags .*/v?(\d\S+)\.tar\.gz
